Download it now!
Bug 77059 - oversized toolbar icons on KDE
Summary: oversized toolbar icons on KDE
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.2.3.2 rc
Hardware: Other All
: medium normal
Assignee: Keith Curtis
URL:
Whiteboard: target:4.3.0 target:4.2.4
Keywords: regression
Depends on:
Blocks:
 
Reported: 2014-04-04 15:59 UTC by Björn Michaelsen
Modified: 2014-04-10 17:40 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2014-04-04 15:59:01 UTC
From downstream bug:
"Since the last update to libreoffice, the toolbar icons are too large to fit right in the toolbar and seems to be using the wrong size of icons which causes them to be blocky.

I've tried changing the settings in libreoffice between different libreoffice themes and size and the icon appearance does not change."

Screenshot at: https://launchpadlibrarian.net/171457355/libreOfficeIcons1.png

Is this possibly related to the HiDPI work?
Comment 1 Björn Michaelsen 2014-04-04 16:00:32 UTC
downstream bug reference: https://bugs.launchpad.net/ubuntu/+source/libreoffice/+bug/1300792

claimed to be a regression by downstream reporter.
Comment 2 Keith Curtis 2014-04-04 16:17:03 UTC
Interesting. I did most of my work with Gnome 3.10, but I tested it on KDE as well. I will try to figure out what is going on!
Comment 3 Keith Curtis 2014-04-04 19:45:20 UTC
Okay, I figured out the problem. Here is the info for the monitor in question:

screen #0:
  dimensions: 1920x1080 pixels (351x191 millimeters)
  resolution: 139x144 dots per inch

According to X the monitor has 144 DPIY. This is the minimum value which triggers HiDPI support in LibreOffice: (144 + 48 == 192)

http://cgit.freedesktop.org/libreoffice/core/commit/?h=libreoffice-4-2&id=52cb1085edc66995393d5be5a55cb45b73a95292

There are at least two fixes:

1. Bump up the minimum value from 144 DPI (or only kick in if both X and Y are 144, etc.)

2. Port over this fix from master: http://cgit.freedesktop.org/libreoffice/core/commit/?id=9f308fbc02439e25f8932314a9374c205ebdbc4c

It is also possible to use a better API for DPI such as xrandr that might give better information.

Kendy, what do you think?
Comment 4 Commit Notification 2014-04-08 12:10:18 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d06269447f8de52fd35e4e97d127279cc3f84025

fdo#77059, hidpi: Increase the threshold of what DPI we consider hi-dpi.



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-04-08 14:37:25 UTC
Jan Holesovsky committed a patch related to this issue.
It has been pushed to "libreoffice-4-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bcba071c0d583a0b3a62d6d718829b906ecc37f2&h=libreoffice-4-2

fdo#77059, hidpi: Increase the threshold of what DPI we consider hi-dpi.


It will be available in LibreOffice 4.2.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Keith Curtis 2014-04-10 17:40:22 UTC
Kendy pushed a fix that will go into 4.2.4 so I'm resolving this.